Get one entity text row

View as Markdown

Returns one entity-owned text row by id. Requires read auth.

Authentication

AuthorizationBearer

User bearer token: Supabase or Clerk session JWT, Clerk OAuth access token, or Clerk personal API key

OR
X-API-Keystring

Admin API key for system-to-system write operations

OR
X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

entityIdstringRequiredformat: "uuid"
Entity UUID owning the text row
textIdlongRequired
Text row id

Query parameters

includePrivatebooleanOptionalDefaults to false
Include private text rows

Response

OK

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error